<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc (11.0.1) on Sat Oct 05 11:12:57 CEST 2019 -->
<title>BagOfWordsVectorizationArchetypes (dblp.datatools 2019.08.0.0 API)</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2019-10-05">
<link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../../../../script.js"></script>
<script type="text/javascript" src="../../../../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../../../../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../../../../../../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../../../../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="BagOfWordsVectorizationArchetypes (dblp.datatools 2019.08.0.0 API)";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":9,"i1":9,"i2":9,"i3":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../../../../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">bous.philipp.dblp.datatools.featureconstruction.vectorization</a></div>
<h2 title="Class BagOfWordsVectorizationArchetypes" class="title">Class BagOfWordsVectorizationArchetypes</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>bous.philipp.dblp.datatools.featureconstruction.vectorization.BagOfWordsVectorizationArchetypes</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<pre>public class <span class="typeNameLabel">BagOfWordsVectorizationArchetypes</span>
extends java.lang.Object</pre>
<div class="block">Contains methods to simplify common tasks of vectorization for
 the context of the thesis for which this code was written.
 An external user should know that this class lacks the feature
 to customize the tokenization process via config file as the need never
 did arise during writing the thesis. Nevertheless this can be done
 by hooking into the process earlier by directly using <a href="BagOfWordsVectorizer.html" title="class in bous.philipp.dblp.datatools.featureconstruction.vectorization"><code>BagOfWordsVectorizer</code></a>.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E()">BagOfWordsVectorizationArchetypes</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>static void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#convertSingleFeatureToSVMLightCrossValidationSetsBalanced()">convertSingleFeatureToSVMLightCrossValidationSetsBalanced</a></span>()</code></th>
<td class="colLast">
<div class="block">Reads data for a single feature from a database and converts it to svmlight
 files usable for cross-validation.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>static void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#convertSingleFeatureToSVMLightCrossValidationSetsBalanced(bous.philipp.dblp.datatools.featureconstruction.vectorization.SingleColumnCVSetProperties,java.lang.String,bous.philipp.dblp.datatools.featureconstruction.vectorization.BalancedVectorizationFoldPostHook)">convertSingleFeatureToSVMLightCrossValidationSetsBalanced</a></span>&#8203;(<a href="SingleColumnCVSetProperties.html" title="class in bous.philipp.dblp.datatools.featureconstruction.vectorization">SingleColumnCVSetProperties</a>&nbsp;props,
                                                         java.lang.String&nbsp;filenamePrefix,
                                                         @Nullable <a href="BalancedVectorizationFoldPostHook.html" title="interface in bous.philipp.dblp.datatools.featureconstruction.vectorization">BalancedVectorizationFoldPostHook</a>&nbsp;posthook)</code></th>
<td class="colLast">
<div class="block">Reads data for a single feature from a database and converts it to svmlight
 files usable for cross-validation.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>static void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#convertSingleFeatureToSVMLightCrossValidationSetsUnbalanced()">convertSingleFeatureToSVMLightCrossValidationSetsUnbalanced</a></span>()</code></th>
<td class="colLast">
<div class="block">#######
 IMPORTANT REMARK: does not possess the ability to process CV with different vocabularies per fold as this necessity did never
 arise until now; nonetheless this is rather the consequence of the still not needed implementation of a method
 to build sets of vocabularies for CV in an unbalanced "as-is"-way.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>static void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#convertSingleFeatureToSVMLightCrossValidationSetsUnbalanced(bous.philipp.dblp.datatools.featureconstruction.vectorization.SingleColumnCVSetProperties,java.lang.String,bous.philipp.dblp.datatools.featureconstruction.vectorization.UnbalancedVectorizationFoldPostHook)">convertSingleFeatureToSVMLightCrossValidationSetsUnbalanced</a></span>&#8203;(<a href="SingleColumnCVSetProperties.html" title="class in bous.philipp.dblp.datatools.featureconstruction.vectorization">SingleColumnCVSetProperties</a>&nbsp;props,
                                                           java.lang.String&nbsp;filenamePrefix,
                                                           <a href="UnbalancedVectorizationFoldPostHook.html" title="interface in bous.philipp.dblp.datatools.featureconstruction.vectorization">UnbalancedVectorizationFoldPostHook</a>&nbsp;posthook)</code></th>
<td class="colLast">
<div class="block">#######
 IMPORTANT REMARK: does not possess the ability to process CV with different vocabularies per fold as this necessity did never
 arise until now; nonetheless this is rather the consequence of the still not needed implementation of a method
 to build sets of vocabularies for CV in an unbalanced "as-is"-way.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>BagOfWordsVectorizationArchetypes</h4>
<pre>public&nbsp;BagOfWordsVectorizationArchetypes()</pre>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="convertSingleFeatureToSVMLightCrossValidationSetsUnbalanced()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>convertSingleFeatureToSVMLightCrossValidationSetsUnbalanced</h4>
<pre class="methodSignature">public static&nbsp;void&nbsp;convertSingleFeatureToSVMLightCrossValidationSetsUnbalanced()</pre>
<div class="block">#######
 IMPORTANT REMARK: does not possess the ability to process CV with different vocabularies per fold as this necessity did never
 arise until now; nonetheless this is rather the consequence of the still not needed implementation of a method
 to build sets of vocabularies for CV in an unbalanced "as-is"-way. This is a result of this method being
 primarily used to convert a whole table into a single svmlight-file.
 #######
 Reads data for a single feature from a database and converts it to svmlight
 files usable for cross-validation.
 It does so in an unbalanced fashion, meaning that data is drawn from the
 specified database as is without the attempt to get a balanced sampling.
 The necessary information is read from a configuration file.
 This approach is chosen to have to make only minor changes in different tests and to
 have a documentation of done tests in form of these files. The files have to be in the java-properties-file format
 and expects following entries::
 <ul>
      <li>METHOD_VERSION_ID - id of the this methods version (given as final string in the code)</li>
      <li>dbPropertiesFilePath - path properties-file with information about the jdbc database connection (only mysql supported atm)</li>
      <li>vocabularyLocation - path to the vocabulary-file to be used for conversion</li>
      <li>recordTableName - name of the record-table to be used</li>
      <li>featureTableName - name of the corresponding feature table</li>
      <li>featureType - feature to be extracted, allowed values are specified through the enum of the same name</li>
      <li>maxNumber - max number of items to draw for vectorization from the db; greater 0 means no upper boundary</li>
      <li>numberOfFolds - number of folds to be made for CV; attempts to make equally sized folds</li>
      <li>windowSize - size of window for ngram-production; if 1 or lower will just use unigrams</li>
      <li>countWords - may be true or false; true produces bow-vectors where the number of occurrences of a word is counted</li>
      <li>weightWithTfIdf - multiplies feature-vector-values with respective tf-idf-weights calculated separately for each fold</li>
      <li>applyLowerCasing - true or false; if true lower-casing is applied to the data from the database before vectorization</li>
      <li>removeBracketContent - true or false; if true brackets and content are removed before vectorization</li>
      <li>removeStopwords - true or false; enables or disables stop-word-removal (english only atm) before vectorization</li>
      <li>applyStemming - true or false; true applies stemming (english only atm) before vectorization</li>
      <li>printInfoFile - true or false; true writes an additional file about the vectorization specification</li>
      <li>writeAdditionalTar - true or false; if true all generated files are packed inside an additional tar.gz-file</li>
      <li>fileOutputPath - destination of the generated vectorization files</li>
 </ul></div>
</li>
</ul>
<a id="convertSingleFeatureToSVMLightCrossValidationSetsUnbalanced(bous.philipp.dblp.datatools.featureconstruction.vectorization.SingleColumnCVSetProperties,java.lang.String,bous.philipp.dblp.datatools.featureconstruction.vectorization.UnbalancedVectorizationFoldPostHook)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>convertSingleFeatureToSVMLightCrossValidationSetsUnbalanced</h4>
<pre class="methodSignature">public static&nbsp;void&nbsp;convertSingleFeatureToSVMLightCrossValidationSetsUnbalanced&#8203;(<a href="SingleColumnCVSetProperties.html" title="class in bous.philipp.dblp.datatools.featureconstruction.vectorization">SingleColumnCVSetProperties</a>&nbsp;props,
                                                                               java.lang.String&nbsp;filenamePrefix,
                                                                               <a href="UnbalancedVectorizationFoldPostHook.html" title="interface in bous.philipp.dblp.datatools.featureconstruction.vectorization">UnbalancedVectorizationFoldPostHook</a>&nbsp;posthook)</pre>
<div class="block">#######
 IMPORTANT REMARK: does not possess the ability to process CV with different vocabularies per fold as this necessity did never
 arise until now; nonetheless this is rather the consequence of the still not needed implementation of a method
 to build sets of vocabularies for CV in an unbalanced "as-is"-way. This is a result of this method being
 primarily used to convert a whole table into a single svmlight-file.
 #######
 Reads data for a single feature from a database and converts it to svmlight
 files usable for cross-validation.
 It does so in an unbalanced fashion, meaning that data is drawn from the
 specified database as is without the attempt to get a balanced sampling.
 The necessary information is read from a configuration file.
 This approach is chosen to have to make only minor changes in different tests and to
 have a documentation of done tests in form of these files. The files have to be in the java-properties-file format
 and expects following entries::
 <ul>
      <li>METHOD_VERSION_ID - id of the this methods version (given as final string in the code)</li>
      <li>dbPropertiesFilePath - path properties-file with information about the jdbc database connection (only mysql supported atm)</li>
      <li>vocabularyLocation - path to the vocabulary-file to be used for conversion</li>
      <li>recordTableName - name of the record-table to be used</li>
      <li>featureTableName - name of the corresponding feature table</li>
      <li>featureType - feature to be extracted, allowed values are specified through the enum of the same name</li>
      <li>maxNumber - max number of items to draw for vectorization from the db; greater 0 means no upper boundary</li>
      <li>numberOfFolds - number of folds to be made for CV; attempts to make equally sized folds</li>
      <li>windowSize - size of window for ngram-production; if 1 or lower will just use unigrams</li>
      <li>countWords - may be true or false; true produces bow-vectors where the number of occurrences of a word is counted</li>
      <li>weightWithTfIdf - multiplies feature-vector-values with respective tf-idf-weights calculated separately for each fold</li>
      <li>applyLowerCasing - true or false; if true lower-casing is applied to the data from the database before vectorization</li>
      <li>removeBracketContent - true or false; if true brackets and content are removed before vectorization</li>
      <li>removeStopwords - true or false; enables or disables stop-word-removal (english only atm) before vectorization</li>
      <li>applyStemming - true or false; true applies stemming (english only atm) before vectorization</li>
      <li>printInfoFile - true or false; true writes an additional file about the vectorization specification</li>
      <li>writeAdditionalTar - true or false; if true all generated files are packed inside an additional tar.gz-file</li>
      <li>fileOutputPath - destination of the generated vectorization files</li>
 </ul></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>props</code> - the properties to be used for configuration</dd>
<dd><code>filenamePrefix</code> - prefix determining the first part of the filenames for files written by this method; do NOT include path to the files!</dd>
<dd><code>posthook</code> - a post-hook for the vectorization process. May be null.</dd>
</dl>
</li>
</ul>
<a id="convertSingleFeatureToSVMLightCrossValidationSetsBalanced(bous.philipp.dblp.datatools.featureconstruction.vectorization.SingleColumnCVSetProperties,java.lang.String,bous.philipp.dblp.datatools.featureconstruction.vectorization.BalancedVectorizationFoldPostHook)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>convertSingleFeatureToSVMLightCrossValidationSetsBalanced</h4>
<pre class="methodSignature">public static&nbsp;void&nbsp;convertSingleFeatureToSVMLightCrossValidationSetsBalanced&#8203;(<a href="SingleColumnCVSetProperties.html" title="class in bous.philipp.dblp.datatools.featureconstruction.vectorization">SingleColumnCVSetProperties</a>&nbsp;props,
                                                                             java.lang.String&nbsp;filenamePrefix,
                                                                             @Nullable
                                                                             @Nullable <a href="BalancedVectorizationFoldPostHook.html" title="interface in bous.philipp.dblp.datatools.featureconstruction.vectorization">BalancedVectorizationFoldPostHook</a>&nbsp;posthook)</pre>
<div class="block">Reads data for a single feature from a database and converts it to svmlight
 files usable for cross-validation.
 This method is similar to <a href="#convertSingleFeatureToSVMLightCrossValidationSetsUnbalanced()"><code>convertSingleFeatureToSVMLightCrossValidationSetsUnbalanced()</code></a> with
 the difference that it takes no maxNumber of items but a number of items per class and
 will try to draw this exact amount of examples from the database to get a balanced
 data-set.
 Note that this method is able to create CV-sets based on an infividual vocabulary for each set which is not
 the case for the unbalanced versions.
 The necessary information is again read from a configuration file which is quite similar
 to the above mentioned method.
 It expects the following entries:
 <ul>
      <li>METHOD_VERSION_ID - id of the this methods version (given as final string in the code)</li>
      <li>dbPropertiesFilePath - path properties-file with information about the jdbc database connection (only mysql supported atm)</li>
      <li>vocabularyLocation - path to the vocabulary-file to be used for conversion</li>
      <li>vocabularyPrefixPath - mutually exclusive with vocabularyLocation; used in CV if a different vocabulary should be used for each fold; prefix path means absolute path including filename without numbering of the vocab-set and file extension
        . For example path/to/vocabulary if the vocabulary files are of form: path/to/vocabulary(0).fbowvoc.</li>
      <li>recordTableName - name of the record-table to be used</li>
      <li>featureTableName - name of the corresponding feature table</li>
      <li>featureType - feature to be extracted, allowed values are specified through the enum of the same name</li>
      <li>numberOfItemsPerClass - number of items that are attempted to be drawn from each class</li>
      <li>numberOfFolds - number of folds to be made for CV; attempts to make equally sized folds</li>
      <li>windowSize - size of window for ngram-production; if 1 or lower will just use unigrams</li>
      <li>countWords - may be true or false; true produces bow-vectors where the number of occurrences of a word is counted</li>
      <li>weightWithTfIdf - multiplies feature-vector-values with respective tf-idf-weights calculated separately for each fold</li>
      <li>applyLowerCasing - true or false; if true lower-casing is applied to the data from the database before vectorization</li>
      <li>removeBracketContent - true or false; if true brackets and content are removed before vectorization</li>
      <li>removeStopwords - true or false; enables or disables stop-word-removal (english only atm) before vectorization</li>
      <li>applyStemming - true or false; true applies stemming (english only atm) before vectorization</li>
      <li>printInfoFile - true or false; true writes an additional file about the vectorization specification</li>
      <li>writeAdditionalTar - true or false; if true all generated files are packed inside an additional tar.gz-file</li>
      <li>fileOutputPath - destination of the generated vectorization files</li>
 </ul></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>props</code> - the properties to be used for configuration</dd>
<dd><code>filenamePrefix</code> - prefix determining the first part of the filenames for files written by this method; do NOT include path to the files!</dd>
<dd><code>posthook</code> - a post-hook for the vectorization process. May be null.</dd>
</dl>
</li>
</ul>
<a id="convertSingleFeatureToSVMLightCrossValidationSetsBalanced()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>convertSingleFeatureToSVMLightCrossValidationSetsBalanced</h4>
<pre class="methodSignature">public static&nbsp;void&nbsp;convertSingleFeatureToSVMLightCrossValidationSetsBalanced()</pre>
<div class="block">Reads data for a single feature from a database and converts it to svmlight
 files usable for cross-validation.
 This method is similar to <a href="#convertSingleFeatureToSVMLightCrossValidationSetsUnbalanced()"><code>convertSingleFeatureToSVMLightCrossValidationSetsUnbalanced()</code></a> with
 the difference that it takes no maxNumber of items but a number of items per class and
 will try to draw this exact amount of examples from the database to get a balanced
 data-set.
 The necessary information is again read from a configuration file which is quite similar
 to the above mentioned method.
 It expects the following entries:
 <ul>
      <li>METHOD_VERSION_ID - id of the this methods version (given as final string in the code)</li>
      <li>dbPropertiesFilePath - path properties-file with information about the jdbc database connection (only mysql supported atm)</li>
      <li>vocabularyLocation - path to the vocabulary-file to be used for conversion</li>
      <li>recordTableName - name of the record-table to be used</li>
      <li>featureTableName - name of the corresponding feature table</li>
      <li>featureType - feature to be extracted, allowed values are specified through the enum of the same name</li>
      <li>numberOfItemsPerClass - number of items that are attempted to be drawn from each class</li>
      <li>numberOfFolds - number of folds to be made for CV; attempts to make equally sized folds</li>
      <li>windowSize - size of window for ngram-production; if 1 or lower will just use unigrams</li>
      <li>countWords - may be true or false; true produces bow-vectors where the number of occurrences of a word is counted</li>
      <li>weightWithTfIdf - multiplies feature-vector-values with respective tf-idf-weights calculated separately for each fold</li>
      <li>applyLowerCasing - true or false; if true lower-casing is applied to the data from the database before vectorization</li>
      <li>removeBracketContent - true or false; if true brackets and content are removed before vectorization</li>
      <li>removeStopwords - true or false; enables or disables stop-word-removal (english only atm) before vectorization</li>
      <li>applyStemming - true or false; true applies stemming (english only atm) before vectorization</li>
      <li>printInfoFile - true or false; true writes an additional file about the vectorization specification</li>
      <li>writeAdditionalTar - true or false; if true all generated files are packed inside an additional tar.gz-file</li>
      <li>fileOutputPath - destination of the generated vectorization files</li>
     <li>byRID - will draw records from DB ordered by random_id column; IMPORTANT if this is specified to be "true" it is absolutely necessary that the same is done in the config for building the used vocabulary!</li>
 </ul></div>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
